Microsoft Enterprise library to connect to SQL server 2008 R2

Topics: Data Access Application Block, General discussion
Sep 26, 2011 at 6:06 AM

Hi,

Enterprise library version 3.1 is used in our .NET 2.0 windows application to connect to SQL server 2005 Database. Currently, the OS on the DB server is Microsoft windows server 2003 64 bit enterprise edition.

We need to upgrade the OS of DB server from Windows server 2003 to Microsoft Windows server 2008 64 bit Enterprise edition and the database from SQL server 2005 to SQL server 2008 R2.

Will the Microsoft Enterprise library version 3.1 work with SQL server 2008 R2?  

Will an application developed using .NET Framework 2.0 connect to SQL server 2008 R2 Database using enterprise library version 3.1?

What changes are required if we need to upgrade to latest version of Enterprise library (4.1 or 5)?

Thanks
Ashok

 

Sep 26, 2011 at 8:01 AM

Hi Ashok,

I can't find a relevant documentation on whether .NET Framework 3.0 (since Entlib is built on .NET 3.0) and .NET Framework 2.0 will work with SQL Server 2008 R2. According to its System Requirements, it requires .NET Framework 3.5 SP 1 so I just assume that it will not work. Regarding with your last question, you can refer to the Entlib 5.0 System Requirements and Entlib 5.0 ChangeLog. Hope this helps.

 

Noel Angelo Bolasoc
Avanade Software
Avanade, Inc.
Contact Us